Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.runtime
Class DefaultResultObjectProvider

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.runtime.DefaultResultObjectProvider

All Implemented Interfaces:
  ResultObjectProvider

public abstract class DefaultResultObjectProvider
extends Object
implements ResultObjectProvider

Default concrete implementation of `ResultObjectProvider`

Constructor Summary
`DefaultResultObjectProvider()` Create a new DefaultResultObjectProvider not associated with a `Statement`.

Method Summary
`boolean` | `advance(Object o)` Invokes `ResultSet.next()`.
`void` | `free(Object o)` Closes the result set and statement used in the constructor.
`boolean` | `open(Object o)` Invokes `ResultSet.next()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.kodo.runtime.objectprovider.ResultObjectProvider
`getResultObject`

Constructor Detail

### DefaultResultObjectProvider

    public DefaultResultObjectProvider()

  Create a new DefaultResultObjectProvider not associated with a `Statement`.

Method Detail

### open

    public boolean open(Object o)
                 throws Exception

  Invokes `ResultSet.next()`.
  Specified by:
    `open` in interface `ResultObjectProvider`

### advance

    public boolean advance(Object o)
                    throws Exception

  Invokes `ResultSet.next()`.
  Specified by:
    `advance` in interface `ResultObjectProvider`

### free

    public void free(Object o)
              throws Exception

  Closes the result set and statement used in the constructor.
  Specified by:
    `free` in interface `ResultObjectProvider`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.